<?php

define('TITLES', [
		'index' => '<span aria-hidden="true">🪐 </span>Niver',
		'auth' => [
			'index' => '<span aria-hidden="true">🔐 </span>Authentification',
			'login' => 'Se connecter',
			'register' => 'Créer un compte',
			'password' => 'Changer la clé de passe',
			'logout' => 'Déconnexion',
		],
		'reg' => [
			'index' => '<span aria-hidden="true">🏷️ </span>Registre <code>' . CONF['reg']['registry'] . '</code>',
			'register' => 'Enregistrer un nouveau domaine',
			'unregister' => 'Effacer un domaine',
			'ns' => 'Ajouter un enregistrement <abbr title="Name Server">NS</abbr>',
			'ds' => 'Ajouter un enregistrement <abbr title="Delegation Signer">DS</abbr>',
			'glue' => 'Créer un Glue Record',
		],
		'ns' => [
			'index' => '<span aria-hidden="true">📖 </span>Serveurs de noms',
			'zone-add' => 'Ajouter une zone',
			'zone-del' => 'Effacer une zone',
			'dnssec' => 'Afficher les enregistrements <abbr title="Delegation Signer">DS</abbr>',
			'ip' => 'Enregistrements A et AAAA',
			'ns' => 'Enregistrement <abbr title="Name Server">NS</abbr>',
			'txt' => 'Enregistrement TXT',
			'caa' => 'Enregistrement <abbr title="Certification Authority Authorization">CAA</abbr>',
			'srv' => 'Enregistrement SRV',
			'mx' => 'Enregistrement <abbr title="Mail eXchanger">MX</abbr>',
			'sshfp' => 'Enregistrement <abbr title="Secure SHell FingerPrint">SSHFP</abbr>',
			'tlsa' => 'Enregistrement <abbr title="Transport Layer Security Association">TLSA</abbr>',
		],
		'ht' => [
			'index' => '<span aria-hidden="true">🕸️ </span>Hypertexte',
			'add-http-onion' => 'Ajouter un accès HTTP par Onion',
			'add-http-dns' => 'Ajouter un accès HTTP par DNS+TLS',
			'del-http-onion' => 'Retirer un accès HTTP par Onion',
			'del-http-dns' => 'Retirer un accès HTTP par DNS+TLS',
			'le' => 'Installer un certificat Let\'s Encrypt',
		],
	]
);

define('DESCRIPTIONS', [
		'auth' => [
			'index' => 'Gérer son compte',
			'login' => 'Démarrer une nouvelle session avec un compte existant',
			'register' => 'Créer un nouveau compte Niver',
			'password' => 'Changer la chaîne de caractères permettant de vous authentifier.',
			'logout' => 'Terminer la session et effacer ses cookies',
		],
		'reg' => [
			'index' => 'Demander l\'attribution d\'un sous-domaine',
			'register' => 'Prendre possession d\'un sous-domaine de <code>' . CONF['reg']['registry'] . '</code>',
			'unregister' => 'Effacer toutes les données d\'un domaine',
			'ns' => 'Indiquer les serveurs de noms de son sous-domaine de <code>' . CONF['reg']['registry'] . '</code>',
			'ds' => 'Déléguer la confiance <abbr title="Domain Name System Security Extensions">DNSSEC</abbr>',
			'glue' => 'Indiquer les IP de ses serveurs de noms de son sous-domaine de <code>' . CONF['reg']['registry'] . '</code> dont les adresses se trouvent sur ce même sous-domaine',
		],
		'ns' => [
			'index' => 'Gérer les données enregistrées dans ses domaines',
			'zone-add' => 'Pour qu\'elle soit gérée par le serveur de noms de Niver',
			'zone-del' => 'Effacer toutes les données d\'une zone',
			'dnssec' => 'À indiquer à la zone parente pour activer <abbr title="Domain Name System Security Extensions">DNSSEC</abbr>',
			'ip' => 'Indiquer l\'adresse IP d\'un domaine',
			'ns' => 'Indiquer le serveur de noms d\'une zone',
			'txt' => 'Associer du texte à un domaine',
			'caa' => 'Limiter les autorités de certification autorisées à émettre des certificats',
			'srv' => 'Indiquer l\'adresse d\'un service spécifique',
			'mx' => 'Indiquer l\'adresse du serveur recevant les courriels',
			'sshfp' => 'Indiquer les empreintes des clés <abbr title="Secure SHell">SSH</abbr>',
			'tlsa' => 'Mettre en place <abbr title="DNS-based Authentication of Named Entities">DANE</abbr> en indiquant l\'empreinte d\'un certificat <abbr title="Transport Layer Security">TLS</abbr>',
		],
		'ht' => [
			'index' => 'Mettre en ligne son site statique sur un espace <abbr title="SSH File Transfert Protocol">SFTP</abbr>, et le faire répondre en <abbr title="HyperText Transfert Protocol">HTTP</abbr> par DNS ou Tor',
			'add-http-onion' => 'Ajouter un accès HTTP par service Onion sur un sous-dossier de l\'espace SFTP',
			'add-http-dns' => 'Ajouter un accès HTTP par DNS et TLS sur un sous-dossier de l\'espace SFTP',
			'del-http-onion' => 'Retirer un accès HTTP par service Onion d\'un sous-dossier de l\'espace SFTP',
			'del-http-dns' => 'Retirer un accès HTTP par DNS et TLS d\'un sous-dossier de l\'espace SFTP',
			'le' => 'Installer un certificat Let\'s Encrypt sur un domaine',
		],
	]
);

if (SERVICE !== '') {
	$page['service'] = TITLES[SERVICE]['index'];
	if (PAGE !== 'index')
		$page['title'] = TITLES[SERVICE][PAGE];
}
