<?php require "../../common/html.php"; ?>

<p>Déjà un compte ? <a class="auth" href="login">Se connecter</a></p>

<form method="post">

	<details>
		<summary><label for="username">Identifiant</label></summary>
		Uniquement composé de lettres minuscules.
	</details>
	<input id="username" minlength="4" maxlength="32" pattern="<?= USERNAME_REGEX ?>" required="" name="username" type="text" placeholder="<?= PLACEHOLDER_USERNAME ?>"><br>

	<details>
		<summary><label for="password">Clé de passe</label></summary>
		<p>Une clé de passe sécurisée est trop compliquée à deviner pour une attaque qui testerais automatiquement plein de clés de passe tout en connaissant d'autres informations et secrets sur vous.</p>
		<p>Minimum 8 caractères si elle contient minuscule, majuscule et chiffre, ou minimum 10 caractères sinon.</p>
	</details>

	<input autocomplete="new-password" id="password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" required="" name="password" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>"><br>

	<input type="submit">
</form>

<?php

switchToFormProcess(requireLogin: false);

checkPasswordFormat($_POST['password']);

checkUsernameFormat($_POST['username']);

if (userExist($_POST['username']) !== false)
	userError("Ce nom de compte est déjà utilisé.");

// Setup SFTP directory
umask(0002);
if (mkdir(CONF['ht']['ht_path'] . "/" . $_POST['username'], 0775) !== true)
	serverError("Can't create user directory.");
exec(CONF['ht']['sudo_path'] . " " . CONF['ht']['chgrp_path'] . " " . CONF['ht']['sftpgo_group'] . " " . CONF['ht']['ht_path'] . "/" . $_POST['username'] . " --no-dereference", $stdout, $code);
if ($code !== 0)
	serverError("Can't change user directory group.");

$db = new PDO('sqlite:' . DB_PATH);

$stmt = $db->prepare("INSERT INTO users(username, password, registration_date) VALUES(:username, :password, :registration_date)");

$stmt->bindValue(':username', $_POST['username']);
$stmt->bindValue(':password', hashPassword($_POST['password']));
$stmt->bindValue(':registration_date', date("Y-m-d H:i:s"));

$stmt->execute();

$_SESSION['username'] = $_POST['username'];

header('Location: ' . CONF['common']['prefix'] . '/');

success("Compte créé.");
